/* sidebar.cc -- custom widgets for atomic orbitals display.  -*- C++ -*-
   Copyright (C) 2025 Gerardo Ballabio

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>. */

#include <gtkmm.h>
#include "sidebar.h"

// emit signals to be captured by main window

bool SidebarButton::on_button_press_event(GdkEventButton *event)
{
  press_signal.emit();
  return Gtk::Button::on_button_press_event(event);
}

bool SidebarCheckButton::on_button_press_event(GdkEventButton *event)
{
  press_signal.emit();
  return Gtk::CheckButton::on_button_press_event(event);
}

bool SidebarSpinButton::on_button_press_event(GdkEventButton *event)
{
  press_signal.emit();
  return Gtk::SpinButton::on_button_press_event(event);
}
